Summary:	EZ-USB utility program
Summary(pl.UTF-8):	Narzędzie dla układów EZ-USB
Name:		fxload
Version:	2008_10_13
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/linux-hotplug/%{name}-%{version}.tar.gz
# Source0-md5:	4477a2457f064228bef4a93ba2f21692
Patch0:		%{name}-link.patch
Patch1:		%{name}-firmwaredir.patch
URL:		http://linux-hotplug.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains utilities for downloading firmware to EZ-USB
devices. EZ-USB devices use 8051-based microcontrollers that have been
enhanced with registers, buffers, and other device-side support for
USB transactions.

It currently supports devices based on the Anchorchips EZ-USB, as well
as the Cypress EZ-USB FX (which is almost completely source
compatible) and EZ-USB FX2 (which is not). All of these support full
speed (12 Mbit/sec) transfers. The FX2 also supports high speed (480
Mbit/s) transfers, introduced in USB 2.0.

This version of FXLOAD supports optional use of two-stage loading,
where special device firmware is used to support writing into off-chip
memory such as RAM (when firmware neeeds more than about 8 KBytes of
code and data) or, for firmware development, I2C serial EEPROM.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia do wczytywania oprogramowania do urządzeń
EZ-USB. Urządzenia EZ-USB używają mikrokontrolerów opartych na 8051
rozszerzonych o dodatkowe rejestry, bufory i inne rozszerzenia dla
transakcji USB.

Obecnie obsługuje urządzenia parte na Anchorchips EZ-USB jak również
Cypress EZ-USB FX (który jest niemal całkowicie zgodny na poziomie
źródeł), a także EZ-USB FX2 (który nie jest kompatybilny). Wszystkie
te układy obsługują transfery z pełną prędkością (12Mbit/s). Układ FX2
dodatkowo obsługuje transfery wysokiej prędkości (480Mbit/s),
wprowadzone w USB 2.0.

Ta wersja FXLOAD opcjonalnie obsługuje ładowanie dwuetapowe, w którym
specjalne firmware używane jest do obsługi zapisywania do pamięci
znajdującej się poza układem, takiej jak RAM (w momencie gdy firmware
potrzebuje więcej niż 8 kilobajtów kodu i danych) lub, w przypadku
rozwijania firmware, EEPROM dostępnej przez I2C.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall -DFXLOAD_VERSION=\\\"%{version}\\\"" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) /sbin/fxload
%{_mandir}/man8/fxload.8*
/lib/firmware/ezusb
%changelog
* Fri Jul 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fxload.git;a=log;h=master

* Fri Jul 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 77073e2
- updated to keep firmware data in /lib/firmware; release 2

* Mon Dec 01 2008 sparky <sparky@pld-linux.org> d119861
- added link patch
- pass rpmldflags

* Mon Dec 01 2008 sparky <sparky@pld-linux.org> 0960bf8
- use CFLAGS and LDFLAGS when linking

* Mon Dec 01 2008 sparky <sparky@pld-linux.org> 240e98a
- no package owns %{datadir}/usb, add it here
- removed non-cvs changelog

* Mon Dec 01 2008 sparky <sparky@pld-linux.org> 278e51a
- updated to 2008_10_13

* Sat Jan 19 2008 Jakub Bogusz <qboosh@pld-linux.org> c31bfc6
- pl fixes

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e92f0b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 73fbf01
- converted to UTF-8

* Sun Jun 22 2003 eothane <eothane@pld-linux.org> 3afb1da
- http://belnet.sourceforge->http://dl.sourceforge

* Mon Jun 16 2003 Paweł Gołaszewski <blues@pld-linux.org> 2e1498a
- small fixes based on changes by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 352bfa7
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3e1f402
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Sep 05 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> 72b5527
- initial pld release

